## patch 2.6.1

=== debian/changelog ===
patch (2.6.1-3ubuntu1) quantal; urgency=low

  * Update config.guess,sub for aarch64

 -- Wookey <wookey@wookware.org>  Mon, 01 Oct 2012 12:56:37 +0100

patch (2.6.1-3) unstable; urgency=low

  * 3.0 (quilt).
  * Fix Suggests broken in the last upload.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Jan 2012 15:00:41 +0100

patch (2.6.1-2.1) unstable; urgency=low

  * NMU with maintainer approval
  * Set patch as Multi-Arch: foreign to allow use when cross-compiling

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 16 Jan 2012 14:13:59 +0200

patch (2.6.1-2) unstable; urgency=low

  * Use dh_auto_test. Closes: #627196

 -- Christoph Berg <myon@debian.org>  Fri, 20 May 2011 23:45:48 +0200

patch (2.6.1-1) unstable; urgency=low

  * New upstream version.
    + Improved CR stripping heuristics. Closes: #484539
    + Fixes: creates files and directories instead of asking for the file
      location. Closes: #568248
  * Remove lenny compatibility options -U --unified-reject-files and
   --global-reject-file.
  * Null update-version.sh file so it doesn't interfere with the git
    repository the package is hosted in.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Feb 2011 20:19:30 +0100

patch (2.6-3) unstable; urgency=low

  * Enable -m short option for --merge as documented in help and manpage.
    Closes: #597305.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Sep 2010 21:41:30 +0200

patch (2.6-2) unstable; urgency=low

  * Update watch file.
  * Section: vcs.
  * Suggests: diffutils-doc instead of diff-doc, thanks Christoph Anton
    Mitterer for spotting. Closes: #558974.

 -- Christoph Berg <myon@debian.org>  Wed, 02 Dec 2009 10:25:26 +0100

patch (2.6-1) unstable; urgency=low

  * New upstream version. Fixes:
    + Closes: #402737: append to .rej files instead of overwriting them
    + Closes: #372769: patch aborts with "pch.c:622: intuit_diff_type:
      Assertion `i0 != NONE' failed."
    + Closes: #558485: patch creates backup files with 000 perms for newly
      created files
    + Closes: #386188: -o creates empty output on null patch
    + Closes: #271946: fails to create new files when POSIXLY_CORRECT is set
    + Closes: #445309: output result to stdout
  * Document in NEWS that the unified-reject-files and global-reject-file
    options are now included upstream, but called differently.
  * Enable test suite.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Nov 2009 15:22:49 +0100

patch (2.5.9-5) unstable; urgency=low

  * Convert packaging to quilt.
  * Tell lintian that part of the changelog is in a different format.
  * Bump Standards-Version.

 -- Christoph Berg <myon@debian.org>  Mon, 21 Apr 2008 21:04:02 +0200

patch (2.5.9-4) unstable; urgency=low

  * New maintainer (Closes: #349323).
  * Use dpatch, add patches:
    + unified-reject-files: write unified reject files (Closes: #26675).
    + global-reject-file: write a global reject file.
    + manpage-char: fix weird character.
  * Suggests: diff-doc.
  * Bump Standards-Version.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Jan 2006 18:46:28 +0100

patch (2.5.9-3) unstable; urgency=low

  * Orphaned.

 -- Michael Fedrowitz <michaelf@debian.org>  Sun, 22 Jan 2006 11:40:22 +0100

patch (2.5.9-2) unstable; urgency=low

  * Standards-Version 3.6.1 (no changes required).
  * Applied upstream patch to fix CR stripping. (Closes: #196297)
  * Applied a patch from SUSE to prevent previously created backup files
    from being overwritten. (Closes: #248950)
  * Ran aclocal and autoconf to make the above patch work.
  * Touch aclocal.m4 and configure during build to prevent the usual
    time-skew problems.
  * Removed emacs vars from changelog.

 -- Michael Fedrowitz <michaelf@debian.org>  Sun, 18 Jul 2004 12:56:02 +0200

patch (2.5.9-1) unstable; urgency=low

  * New upstream release:
    - Handles filenames with spaces. (closes: #99808)
    - Don't try to stat output file after skipping a patch. (closes: #157232)
    - CR in hunk header doesn't trigger CR stripping. (closes: #192272)
  * Standards-Version 3.5.10 (no changes required).
  * Remove obsolete CFLAGS. (closes: #193403)
  * Update copyright file.

 -- Michael Fedrowitz <michaelf@debian.org>  Tue, 20 May 2003 21:13:37 +0200

patch (2.5.8-2) experimental; urgency=low

  * Standards-Version 3.5.8:
    - Support DEB_BUILD_GNU_TYPE and DEB_HOST_GNU_TYPE.
    - Support DEB_BUILD_OPTIONS noopt instead of debug.
    - Always build with -g.
    - Build depend on debhelper (>= 4.1.0) to get rid of /usr/doc link.
  * Use debhelper v4.
  * Minor fixes to copyright file.
  * Don't try to stat the output file if the user elected to skip a
    patch. (Fixes #157232, not closing since this is for experimental.)
  * Applied patch from upstream to strip trailing whitespace from filenames
    found in patch headers. (This fixes the glibc build.)

 -- Michael Fedrowitz <michaelf@debian.org>  Thu,  2 Jan 2003 19:37:49 +0100

patch (2.5.8-1) experimental; urgency=low

  * New upstream testing release.

 -- Michael Fedrowitz <michaelf@debian.org>  Mon,  3 Jun 2002 16:53:35 +0200

patch (2.5.7-1) experimental; urgency=low

  * New upstream testing release (which is likely to become the new stable
    release).

 -- Michael Fedrowitz <michaelf@debian.org>  Fri, 31 May 2002 19:01:55 +0200

patch (2.5.6-1) experimental; urgency=low

  * New upstream testing release (plus two patches from upstream which
    will be in the next version), which incorporates all of our patches
    or fixes the problems in different ways.
  * Uploading to experimental until final release.

 -- Michael Fedrowitz <michaelf@debian.org>  Wed, 29 May 2002 22:30:18 +0200

patch (2.5.4-11) unstable; urgency=low

  * Fix patch -D. (closes: #140247)
  * Improve indentation guessing for ed diffs. (closes: #140642)

 -- Michael Fedrowitz <michaelf@debian.org>  Sat,  6 Apr 2002 20:19:19 +0200

patch (2.5.4-10) unstable; urgency=low

  * Fix segfault on illegal arguments to certain options. (closes: #137222)


