=== debian/control ===
Source: patch
Section: vcs
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), ed
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/collab-maint/patch.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/patch.git

Package: patch
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ed, diffutils-doc
Multi-Arch: foreign
Architecture: any
Description: Apply a diff file to an original
 Patch will take a patch file containing any of the four forms
 of difference listing produced by the diff program and apply
 those differences to an original file, producing a patched
 version.
