## patch 2.6.1.136-31a7

=== debian/changelog ===
patch (2.6.1.136-31a7-1) experimental; urgency=low

  * New upstream snapshot.
  * Use dh_auto_test. Closes: #627196
  * 3.0 (quilt).
  * Fix Suggests broken in the last upload.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Jan 2012 15:03:09 +0100

patch (2.6.1.85-423d-3) experimental; urgency=low

  * Remove lenny compatibility options -U --unified-reject-files and
   --global-reject-file.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Feb 2011 20:42:58 +0100

patch (2.6.1.85-423d-2) experimental; urgency=low

  * Enable -m short option for --merge as documented in help and manpage.
    Closes: #597305.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Sep 2010 22:09:13 +0200

patch (2.6.1.85-423d-1) experimental; urgency=low

  * New upstream snapshot.
    + Improved CR stripping heuristics: Closes: #484539.
    + Refuses to patch symlinks: Closes: #243309.
    + Preserves uid/gid/mode where possible: Closes: #262737.
    + Refuses to patch read-only files unless -f or -t are used:
      Closes: #274079.

 -- Christoph Berg <myon@debian.org>  Tue, 11 May 2010 09:59:01 +0200
