=== debian/watch ===
version=3
#http://ftp.gnu.org/gnu/patch/patch-(.*).tar.(?:gz|bz2|xz)
http://alpha.gnu.org/gnu/patch/patch-(.*).tar.(?:gz|bz2|xz)
