=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: vcs
 Priority: standard
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 7), ed
-Standards-Version: 3.9.2
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 7), ed, automake1.11
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/collab-maint/patch.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/patch.git
