=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,12 @@
 #!/usr/bin/make -f
+#-*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+#DPKG_EXPORT_BUILDFLAGS = 1
+#include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -18,7 +26,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	CFLAGS="$(CFLAGS)" ac_cv_sys_long_file_names=yes \
+	CFLAGS="$(CFLAGS)" ac_cv_sys_long_file_names=yes ac_cv_path_ED=ed \
 		./configure $(CONFFLAGS) --prefix=/usr --mandir=\$${prefix}/share/man
 	touch configure-stamp
 
@@ -29,6 +37,8 @@
 	dh_testdir
 	$(MAKE)
 	dh_auto_test
+	# make sure we call ed as "ed", not "/bin/ed" or something
+	grep '#define  *EDITOR_PROGRAM  *"ed"' config.h
 	touch build-stamp
 
 clean:
