=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: standard
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 7), ed, automake1.11
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7), ed, dh-autoreconf
+Standards-Version: 3.9.6
+Homepage: http://savannah.gnu.org/projects/patch/
 Vcs-Git: git://git.debian.org/collab-maint/patch.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/patch.git
