=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 configure: configure-stamp
 configure-stamp:
+	dh_autoreconf
 	dh_testdir
 	CFLAGS="$(CFLAGS)" ac_cv_sys_long_file_names=yes ac_cv_path_ED=ed \
 		./configure $(CONFFLAGS) --prefix=/usr --mandir=\$${prefix}/share/man
@@ -37,11 +38,12 @@
 	dh_testdir
 	$(MAKE)
 	dh_auto_test
-	# make sure we call ed as "ed", not "/bin/ed" or something
+	# make sure we call ed as "ed"
 	grep '#define  *EDITOR_PROGRAM  *"ed"' config.h
 	touch build-stamp
 
 clean:
+	dh_autoreconf_clean
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean build-stamp configure-stamp .version
