## patch 2.7.6

=== debian/changelog ===
patch (2.7.6-7) unstable; urgency=medium

  * Backport upstream fixes:
    - avoid invalid memory access in context format diffs,
    - fix failed assertion 'outstate->after_newline'.
  * Update packaging bits.
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Jan 2021 09:58:08 +0100

patch (2.7.6-6) unstable; urgency=high

  * Fix CVE-2018-1000156 regression, temporary file leak on failed ed-style
    patches (closes: #933140).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 26 Jul 2019 22:10:00 +0000

patch (2.7.6-5) unstable; urgency=high

  * Fix CVE-2019-13636: mishandled following of symlinks (closes: #932401).
  * Fix CVE-2019-13638: shell command injection.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jul 2019 12:20:38 +0000

patch (2.7.6-4) unstable; urgency=medium

  * Backport upstream fixes:
    - abort when cleaning up fails (closes: #890746),
    - don't crash when RLIMIT_NOFILE is set to RLIM_INFINITY.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Jun 2019 20:00:12 +0000

patch (2.7.6-3) unstable; urgency=medium

  * Use short debhelper rules format (closes: #905486).
  * Change package priority to optional.
  * Update Standards-Version to 4.1.5 .
  * Sync with Ubuntu.

  [ Marc Deslauriers <marc.deslauriers@ubuntu.com> ]
  * debian/patches/0001-Fix-ed-style-test-failure.patch: fix ed-style test.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Aug 2018 11:10:39 +0000

patch (2.7.6-2) unstable; urgency=high

  * Backport patches from upstream Git tree:
    - fix NULL pointer read with mangled rename,
    - allow input files to be missing for ed-style patches,
    - CVE-2018-1000156: fix arbitrary command execution in ed-style patches
      (closes: #894993).
  * Disable Vcs-* fields for now.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 Apr 2018 15:20:36 +0000

patch (2.7.6-1) unstable; urgency=medium

  * New upstream release:
    - don't allow a hunk to overlap with the previous one (closes: #717782).
  * Mark historical changelog entries as is.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.3 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 Feb 2018 18:14:46 +0000
