=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
CONFFLAGS = --build $(DEB_HOST_GNU_TYPE)
else
CONFFLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export DEB_CFLAGS_MAINT_APPEND = -Wall -g

override_dh_auto_clean:
	[ ! -f Makefile ] || dh_auto_clean

override_dh_auto_configure:
	ac_cv_sys_long_file_names=yes ac_cv_path_ED=ed \
		dh_auto_configure -- $(CONFFLAGS)

%:
	dh $@

.PHONY: override_dh_auto_clean override_dh_auto_configure
