=== debian/watch ===
version=3
https://ftp.gnu.org/gnu/patch/ patch-(\d[\d\.]+)\.(?:tgz|tar\.(?:gz|bz2|xz))
